@file:JvmName("RealmUtils") // pretty name for utils class if called from
package net.pokeranalytics.android.util.data

import io.realm.Realm
import io.realm.RealmModel
import io.realm.RealmResults
import net.pokeranalytics.android.model.realm.SessionDao

fun Realm.sessionDao(): SessionDao = SessionDao(this)

fun <T:RealmModel> RealmResults<T>.asLiveData() = LiveRealmData(this)